package fixtures

import "github.com/slack-go/slack"

var TestUsers = []slack.User{
	{ID: "LOL1", Name: "yippi", Deleted: false},
	{ID: "DELD", Name: "ka", Deleted: true},
	{ID: "LOL3", Name: "yay", IsRestricted: true},
	{ID: "LOL4", Name: "motherfucker", Deleted: false, IsBot: true},
}

const UsersJSON = `[
	{
	  "id": "USLACKBOT",
	  "team_id": "THY5HTZ8U",
	  "name": "slackbot",
	  "deleted": false,
	  "color": "757575",
	  "real_name": "Slackbot",
	  "tz": "America/Los_Angeles",
	  "tz_label": "Pacific Daylight Time",
	  "tz_offset": -25200,
	  "profile": {
		"first_name": "slackbot",
		"last_name": "",
		"real_name": "Slackbot",
		"real_name_normalized": "Slackbot",
		"display_name": "Slackbot",
		"display_name_normalized": "Slackbot",
		"email": "",
		"skype": "",
		"phone": "",
		"image_24": "https://a.slack-edge.com/80588/img/slackbot_24.png",
		"image_32": "https://a.slack-edge.com/80588/img/slackbot_32.png",
		"image_48": "https://a.slack-edge.com/80588/img/slackbot_48.png",
		"image_72": "https://a.slack-edge.com/80588/img/slackbot_72.png",
		"image_192": "https://a.slack-edge.com/80588/marketing/img/avatars/slackbot/avatar-slackbot.png",
		"image_512": "https://a.slack-edge.com/80588/img/slackbot_512.png",
		"image_original": "",
		"title": "",
		"status_expiration": 0,
		"team": "THY5HTZ8U",
		"fields": []
	  },
	  "is_bot": false,
	  "is_admin": false,
	  "is_owner": false,
	  "is_primary_owner": false,
	  "is_restricted": false,
	  "is_ultra_restricted": false,
	  "is_stranger": false,
	  "is_app_user": false,
	  "is_invited_user": false,
	  "has_2fa": false,
	  "has_files": false,
	  "presence": "",
	  "locale": "",
	  "updated": 0,
	  "enterprise_user": {
		"id": "",
		"enterprise_id": "",
		"enterprise_name": "",
		"is_admin": false,
		"is_owner": false,
		"teams": null
	  }
	},
	{
	  "id": "UHSD97ZA5",
	  "team_id": "THY5HTZ8U",
	  "name": "janed",
	  "deleted": false,
	  "color": "9f69e7",
	  "real_name": "Jane Doe",
	  "tz": "Pacific/Auckland",
	  "tz_label": "New Zealand Daylight Time",
	  "tz_offset": 46800,
	  "profile": {
		"first_name": "Jane",
		"last_name": "Doe",
		"real_name": "Jane Doe",
		"real_name_normalized": "Jane Doe",
		"display_name": "",
		"display_name_normalized": "",
		"email": "jane@example.com",
		"skype": "",
		"phone": "",
		"image_24": "https://secure.gravatar.com/avatar/41eca2328d6510133f47ffceae7b912a.jpg?s=24\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0022-24.png",
		"image_32": "https://secure.gravatar.com/avatar/41eca2328d6510133f47ffceae7b912a.jpg?s=32\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0022-32.png",
		"image_48": "https://secure.gravatar.com/avatar/41eca2328d6510133f47ffceae7b912a.jpg?s=48\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0022-48.png",
		"image_72": "https://secure.gravatar.com/avatar/41eca2328d6510133f47ffceae7b912a.jpg?s=72\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0022-72.png",
		"image_192": "https://secure.gravatar.com/avatar/41eca2328d6510133f47ffceae7b912a.jpg?s=192\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0022-192.png",
		"image_512": "https://secure.gravatar.com/avatar/41eca2328d6510133f47ffceae7b912a.jpg?s=512\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0022-512.png",
		"image_original": "",
		"title": "",
		"status_expiration": 0,
		"team": "THY5HTZ8U",
		"fields": []
	  },
	  "is_bot": false,
	  "is_admin": true,
	  "is_owner": true,
	  "is_primary_owner": true,
	  "is_restricted": false,
	  "is_ultra_restricted": false,
	  "is_stranger": false,
	  "is_app_user": false,
	  "is_invited_user": false,
	  "has_2fa": false,
	  "has_files": false,
	  "presence": "",
	  "locale": "en-US",
	  "updated": 1603765394,
	  "enterprise_user": {
		"id": "",
		"enterprise_id": "",
		"enterprise_name": "",
		"is_admin": false,
		"is_owner": false,
		"teams": null
	  }
	},
	{
	  "id": "ULLLZ6SAH",
	  "team_id": "THY5HTZ8U",
	  "name": "johnd",
	  "deleted": false,
	  "color": "e7392d",
	  "real_name": "John",
	  "tz": "Europe/Moscow",
	  "tz_label": "Moscow Time",
	  "tz_offset": 10800,
	  "profile": {
		"first_name": "",
		"last_name": "",
		"real_name": "John",
		"real_name_normalized": "John",
		"display_name": "",
		"display_name_normalized": "",
		"email": "",
		"skype": "",
		"phone": "",
		"image_24": "https://secure.gravatar.com/avatar/95a51d9723dbea1d8af04d31e35e1d37.jpg?s=24\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0020-24.png",
		"image_32": "https://secure.gravatar.com/avatar/95a51d9723dbea1d8af04d31e35e1d37.jpg?s=32\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0020-32.png",
		"image_48": "https://secure.gravatar.com/avatar/95a51d9723dbea1d8af04d31e35e1d37.jpg?s=48\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0020-48.png",
		"image_72": "https://secure.gravatar.com/avatar/95a51d9723dbea1d8af04d31e35e1d37.jpg?s=72\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0020-72.png",
		"image_192": "https://secure.gravatar.com/avatar/95a51d9723dbea1d8af04d31e35e1d37.jpg?s=192\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0020-192.png",
		"image_512": "https://secure.gravatar.com/avatar/95a51d9723dbea1d8af04d31e35e1d37.jpg?s=512\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0020-512.png",
		"image_original": "",
		"title": "",
		"status_expiration": 0,
		"team": "THY5HTZ8U",
		"fields": []
	  },
	  "is_bot": false,
	  "is_admin": false,
	  "is_owner": false,
	  "is_primary_owner": false,
	  "is_restricted": false,
	  "is_ultra_restricted": false,
	  "is_stranger": false,
	  "is_app_user": false,
	  "is_invited_user": false,
	  "has_2fa": false,
	  "has_files": false,
	  "presence": "",
	  "locale": "en-GB",
	  "updated": 1569102229,
	  "enterprise_user": {
		"id": "",
		"enterprise_id": "",
		"enterprise_name": "",
		"is_admin": false,
		"is_owner": false,
		"teams": null
	  }
	},
	{
	  "id": "UNC8P5K8V",
	  "team_id": "THY5HTZ8U",
	  "name": "jirabot",
	  "deleted": true,
	  "color": "",
	  "real_name": "",
	  "tz_label": "",
	  "tz_offset": 0,
	  "profile": {
		"first_name": "",
		"last_name": "",
		"real_name": "Jira",
		"real_name_normalized": "Jira",
		"display_name": "",
		"display_name_normalized": "",
		"email": "",
		"skype": "",
		"phone": "",
		"image_24": "https://avatars.slack-edge.com/2019-09-14/760289794272_e9c1970fd6c2187993b1_24.png",
		"image_32": "https://avatars.slack-edge.com/2019-09-14/760289794272_e9c1970fd6c2187993b1_32.png",
		"image_48": "https://avatars.slack-edge.com/2019-09-14/760289794272_e9c1970fd6c2187993b1_48.png",
		"image_72": "https://avatars.slack-edge.com/2019-09-14/760289794272_e9c1970fd6c2187993b1_72.png",
		"image_192": "https://avatars.slack-edge.com/2019-09-14/760289794272_e9c1970fd6c2187993b1_192.png",
		"image_512": "https://avatars.slack-edge.com/2019-09-14/760289794272_e9c1970fd6c2187993b1_512.png",
		"image_original": "https://avatars.slack-edge.com/2019-09-14/760289794272_e9c1970fd6c2187993b1_original.png",
		"title": "",
		"bot_id": "BN5RW4MPT",
		"api_app_id": "A2RPP3NFR",
		"status_expiration": 0,
		"team": "THY5HTZ8U",
		"fields": []
	  },
	  "is_bot": true,
	  "is_admin": false,
	  "is_owner": false,
	  "is_primary_owner": false,
	  "is_restricted": false,
	  "is_ultra_restricted": false,
	  "is_stranger": false,
	  "is_app_user": false,
	  "is_invited_user": false,
	  "has_2fa": false,
	  "has_files": false,
	  "presence": "",
	  "locale": "",
	  "updated": 1645588585,
	  "enterprise_user": {
		"id": "",
		"enterprise_id": "",
		"enterprise_name": "",
		"is_admin": false,
		"is_owner": false,
		"teams": null
	  }
	},
	{
	  "id": "U015QB7QZRB",
	  "team_id": "THY5HTZ8U",
	  "name": "bot 1",
	  "deleted": false,
	  "color": "3c989f",
	  "real_name": "bot 1",
	  "tz": "America/Los_Angeles",
	  "tz_label": "Pacific Daylight Time",
	  "tz_offset": -25200,
	  "profile": {
		"first_name": "",
		"last_name": "",
		"real_name": "bot 1",
		"real_name_normalized": "bot 1",
		"display_name": "",
		"display_name_normalized": "",
		"email": "",
		"skype": "",
		"phone": "",
		"image_24": "https://secure.gravatar.com/avatar/adaecdbece87f76a6a6c140d5381bfb4.jpg?s=24\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0009-24.png",
		"image_32": "https://secure.gravatar.com/avatar/adaecdbece87f76a6a6c140d5381bfb4.jpg?s=32\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0009-32.png",
		"image_48": "https://secure.gravatar.com/avatar/adaecdbece87f76a6a6c140d5381bfb4.jpg?s=48\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0009-48.png",
		"image_72": "https://secure.gravatar.com/avatar/adaecdbece87f76a6a6c140d5381bfb4.jpg?s=72\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0009-72.png",
		"image_192": "https://secure.gravatar.com/avatar/adaecdbece87f76a6a6c140d5381bfb4.jpg?s=192\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0009-192.png",
		"image_512": "https://secure.gravatar.com/avatar/adaecdbece87f76a6a6c140d5381bfb4.jpg?s=512\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0009-512.png",
		"image_original": "",
		"title": "",
		"bot_id": "B015K0TQTN2",
		"api_app_id": "A015RNC4LF4",
		"status_expiration": 0,
		"team": "THY5HTZ8U",
		"fields": []
	  },
	  "is_bot": true,
	  "is_admin": false,
	  "is_owner": false,
	  "is_primary_owner": false,
	  "is_restricted": false,
	  "is_ultra_restricted": false,
	  "is_stranger": false,
	  "is_app_user": false,
	  "is_invited_user": false,
	  "has_2fa": false,
	  "has_files": false,
	  "presence": "",
	  "locale": "en-US",
	  "updated": 1592610542,
	  "enterprise_user": {
		"id": "",
		"enterprise_id": "",
		"enterprise_name": "",
		"is_admin": false,
		"is_owner": false,
		"teams": null
	  }
	},
	{
	  "id": "U034HM0P7RB",
	  "team_id": "THY5HTZ8U",
	  "name": "bot-data-test",
	  "deleted": false,
	  "color": "674b1b",
	  "real_name": "Data Test",
	  "tz": "America/Los_Angeles",
	  "tz_label": "Pacific Daylight Time",
	  "tz_offset": -25200,
	  "profile": {
		"first_name": "Data",
		"last_name": "Test",
		"real_name": "Data Test",
		"real_name_normalized": "Data Test",
		"display_name": "",
		"display_name_normalized": "",
		"email": "",
		"skype": "",
		"phone": "",
		"image_24": "https://secure.gravatar.com/avatar/ae9ededeef2e3e88c2558baeb30e531b.jpg?s=24\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0003-24.png",
		"image_32": "https://secure.gravatar.com/avatar/ae9ededeef2e3e88c2558baeb30e531b.jpg?s=32\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0003-32.png",
		"image_48": "https://secure.gravatar.com/avatar/ae9ededeef2e3e88c2558baeb30e531b.jpg?s=48\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0003-48.png",
		"image_72": "https://secure.gravatar.com/avatar/ae9ededeef2e3e88c2558baeb30e531b.jpg?s=72\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0003-72.png",
		"image_192": "https://secure.gravatar.com/avatar/ae9ededeef2e3e88c2558baeb30e531b.jpg?s=192\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0003-192.png",
		"image_512": "https://secure.gravatar.com/avatar/ae9ededeef2e3e88c2558baeb30e531b.jpg?s=512\u0026d=https%3A%2F%2Fa.slack-edge.com%2Fdf10d%2Fimg%2Favatars%2Fava_0003-512.png",
		"image_original": "",
		"title": "",
		"bot_id": "B035AAUBQ3S",
		"api_app_id": "A035A9SCZDE",
		"status_expiration": 0,
		"team": "THY5HTZ8U",
		"fields": []
	  },
	  "is_bot": true,
	  "is_admin": false,
	  "is_owner": false,
	  "is_primary_owner": false,
	  "is_restricted": false,
	  "is_ultra_restricted": false,
	  "is_stranger": false,
	  "is_app_user": false,
	  "is_invited_user": false,
	  "has_2fa": false,
	  "has_files": false,
	  "presence": "",
	  "locale": "en-US",
	  "updated": 1645745563,
	  "enterprise_user": {
		"id": "",
		"enterprise_id": "",
		"enterprise_name": "",
		"is_admin": false,
		"is_owner": false,
		"teams": null
	  }
	}
  ]
`
